Bug 65514 - Today's rpms are for wrong (64bit) architecture
Today's rpms are for wrong (64bit) architecture
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-release (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-26 12:12 EDT by ellson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-26 13:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-05-26 12:12:15 EDT
Description of Problem:
It looks like today's (5/26/02) rawhide rpms are for the wrong architecture.
None of the new .i386.rpm will install on i386 family 

Version-Release number of selected component (if applicable):
rawhide-release-20020526-1.noarch.rpm

How Reproducible:


Steps to Reproduce:
1. obtain rawhide updates by rsync
2. attempt to install e.g. nedit-5.2-3
3. 

Actual Results:
[root@beermat rawhide]# rpm -Uvh nedit-5.2-3.i386.rpm
error: failed dependencies:
        libc.so.6()(64bit)   is needed by nedit-5.2-3
        libICE.so.6()(64bit)   is needed by nedit-5.2-3
        libm.so.6()(64bit)   is needed by nedit-5.2-3
        libSM.so.6()(64bit)   is needed by nedit-5.2-3
        libX11.so.6()(64bit)   is needed by nedit-5.2-3
        libXext.so.6()(64bit)   is needed by nedit-5.2-3
        libXm.so.3()(64bit)   is needed by nedit-5.2-3
        libXpm.so.4()(64bit)   is needed by nedit-5.2-3
        libXt.so.6()(64bit)   is needed by nedit-5.2-3


Expected Results:


Additional Information:
  Affected are:
kdebase-3.0.1-2.i386.rpm
kdebase-devel-3.0.1-2.i386.rpm
nedit-5.2-3.i386.rpm
pydict-0.2.5.1-9.noarch.rpm
qt-3.0.4-2.i386.rpm
qt-MySQL-3.0.4-2.i386.rpm
qt-ODBC-3.0.4-2.i386.rpm
qt-PostgreSQL-3.0.4-2.i386.rpm
qt-Xt-3.0.4-2.i386.rpm
qt-designer-3.0.4-2.i386.rpm
qt-devel-3.0.4-2.i386.rpm
rawhide-release-20020526-1.noarch.rpm
xemacs-21.4.6-7.i386.rpm
xemacs-el-21.4.6-7.i386.rpm
xemacs-info-21.4.6-7.i386.rpm
Comment 1 Tim Powers 2002-05-26 13:01:14 EDT
Reassigning to jbj. He changed the macros in rpm for this to fix an ia64 build
problem, looks like it's beinbg applied to all arches.

Tim
Comment 2 Jeff Johnson 2002-05-31 09:58:33 EDT
Whoops. Fixed in rpm-4.1-0.17.

Note You need to log in before you can comment on or make changes to this bug.